package com.jeethink.bean.domain;

import com.jeethink.common.annotation.Excel;
import com.jeethink.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 人事档案接收对象 archives_master
 * 
 * @author sh
 * @date 2022-11-08
 */
public class ArchivesMaster extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String archivesId;

    /** 档案标题（职工编码+姓名，如10000001张三） */
    @Excel(name = "档案标题")
    private String name;

    /** 档案编号（类型缩写+职工编码+人事档案类别码+四位文件序号，如RS1000000011000） */
    @Excel(name = "档案编号")
    private String archiveNo;

    /** 档案类型（0人事档案，1健康档案，2培训档案） */
    @Excel(name = "档案类别", readConverterExp = "0=人事档案,1=健康档案,2=培训档案")
    private String type;

    /** 档案人员类别 */
    @Excel(name = "档案人员类别", readConverterExp = "0=管理人员,1=专业技术人员,2=员工")
    private String peopleType;

    /** 层级 */
    @Excel(name = "层级", readConverterExp = "0=案卷级")
    private String tier;

    /** 密级 */
    @Excel(name = "密级", readConverterExp = "0=绝密,1=机密,2=秘密")
    private String classified;

    /** 保管期限 */
    @Excel(name = "保管期限", readConverterExp = "0=永久,1=30年,2=20年,3=10年")
    private String duration;

    /** 是否为纸质档案（0是，1否） */
    private String ifPaper;

    /** 归档人ID */
    private Long gdPeopleId;

    /** 对应用户的id */
    private Long userId;

    /** 创建用户 */
    private Long createUser;

    /** 更新用户 */
    private Long updateUser;

    private String nowStatus;
    /** 逻辑删除字段，是否删除 ，0为是，1为否 */
    private String deleted;

    @Excel(name = "员工姓名")
    private String nickName;
    @Excel(name = "员工编号")
    private String userNumber;

    private Long deptId;
    private String deptName;

    private String updaterName;

    private Integer expire; //剩余过期天数
    private String stage; //所处阶段：recevie接收，destroy销毁
    private Boolean isBorrowed;

    private String warehouseType;//所在仓库

    @Excel(name = "检查医院")
    private String checkHospital;
    @Excel(name = "检查结论")
    private String checkConclusion;
    @Excel(name = "检查日期")
    private Date checkDate;
    @Excel(name = "检查年份")
    private String jkFileDate;

    public String getJkFileDate() {
        return jkFileDate;
    }

    public void setJkFileDate(String jkFileDate) {
        this.jkFileDate = jkFileDate;
    }

    public String getCheckHospital() {
        return checkHospital;
    }

    public void setCheckHospital(String checkHospital) {
        this.checkHospital = checkHospital;
    }

    public String getCheckConclusion() {
        return checkConclusion;
    }

    public void setCheckConclusion(String checkConclusion) {
        this.checkConclusion = checkConclusion;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public void setArchivesId(String archivesId)
    {
        this.archivesId = archivesId;
    }

    public String getArchivesId() 
    {
        return archivesId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setArchiveNo(String archiveNo) 
    {
        this.archiveNo = archiveNo;
    }

    public String getArchiveNo() 
    {
        return archiveNo;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setPeopleType(String peopleType) 
    {
        this.peopleType = peopleType;
    }

    public String getPeopleType() 
    {
        return peopleType;
    }
    public void setTier(String tier) 
    {
        this.tier = tier;
    }

    public String getTier() 
    {
        return tier;
    }
    public void setClassified(String classified) 
    {
        this.classified = classified;
    }

    public String getClassified() 
    {
        return classified;
    }
    public void setDuration(String duration) 
    {
        this.duration = duration;
    }

    public String getDuration() 
    {
        return duration;
    }
    public void setIfPaper(String ifPaper) 
    {
        this.ifPaper = ifPaper;
    }

    public String getIfPaper() 
    {
        return ifPaper;
    }
    public void setGdPeopleId(Long gdPeopleId) 
    {
        this.gdPeopleId = gdPeopleId;
    }

    public Long getGdPeopleId() 
    {
        return gdPeopleId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCreateUser(Long createUser) 
    {
        this.createUser = createUser;
    }

    public Long getCreateUser() 
    {
        return createUser;
    }
    public void setUpdateUser(Long updateUser) 
    {
        this.updateUser = updateUser;
    }

    public Long getUpdateUser() 
    {
        return updateUser;
    }
    public void setDeleted(String deleted) 
    {
        this.deleted = deleted;
    }

    public String getDeleted() 
    {
        return deleted;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getNowStatus() {
        return nowStatus;
    }

    public void setNowStatus(String nowStatus) {
        this.nowStatus = nowStatus;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }

    public Integer getExpire() {
        return expire;
    }

    public void setExpire(Integer expire) {
        this.expire = expire;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public Boolean getIsBorrowed() {
        return isBorrowed;
    }

    public void setIsBorrowed(Boolean isBorrowed) {
        this.isBorrowed = isBorrowed;
    }

    public String getWarehouseType() {
        return warehouseType;
    }

    public void setWarehouseType(String warehouseType) {
        this.warehouseType = warehouseType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("archivesId", getArchivesId())
            .append("name", getName())
            .append("archiveNo", getArchiveNo())
            .append("type", getType())
            .append("peopleType", getPeopleType())
            .append("tier", getTier())
            .append("classified", getClassified())
            .append("duration", getDuration())
            .append("ifPaper", getIfPaper())
            .append("gdPeopleId", getGdPeopleId())
            .append("userId", getUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUser", getCreateUser())
            .append("updateUser", getUpdateUser())
            .append("deleted", getDeleted())
            .toString();
    }
}
